/* global registerGlobalBackward, BackwardUtility, DataProviderFacade */

registerGlobalBackward('4.12.2', function (control) {
    'use strict';

    if (control.constructorName === 'Theme') {
        if (DataProviderFacade.getCmsInfo().cmsName === 'Dnn') {
            control.prototypes.DnnBlockWidget = BackwardUtility.getControlObject('DnnBlockWidget');
        }
    }

    return control;
});